> For the complete documentation index, see [llms.txt](https://docs.violetlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violetlabs.com/apps/a/arena/arena-property-mapping.md).

# Arena Property Mapping

<details>

<summary>Arena to Boltline</summary>

| Arena Label      | Boltline Target          |
| ---------------- | ------------------------ |
| Part Category Id | Boltline-Part-categoryId |
| Part Category    | Boltline-Part-category   |
| Part Number      | Boltline-Part-partNumber |
| Revision         | Boltline-Part-revision   |

</details>

<details>

<summary>Arena to Ion</summary>

| Arena Label                | Ion Target                      |
| -------------------------- | ------------------------------- |
| File Name                  | Ion-File-filename               |
| Cost                       | Ion-Part-cost                   |
| Part Number                | Ion-Part-partNumber             |
| Revision                   | Ion-Part-revision               |
| Unit of Measure            | Ion-Part-unitOfMeasure          |
| Cost (Revision)            | Ion-Part Revision-cost          |
| Description (Revision)     | Ion-Part Revision-description   |
| Part Number (Revision)     | Ion-Part Revision-partNumber    |
| Revision (Revision)        | Ion-Part Revision-revision      |
| Unit of Measure (Revision) | Ion-Part Revision-unitOfMeasure |

</details>

<details>

<summary>Arena Changes</summary>

| Arena Label              | Violet Property |
| ------------------------ | --------------- |
| Approval Deadline        | Due Date        |
| Category                 | Category        |
| Change Number            | Change Number   |
| Creator                  |                 |
| Creator Email            |                 |
| Creator Name             |                 |
| Effectivity Planned Date |                 |
| Effectivity Type         |                 |
| Expiration Date          |                 |
| Lifecycle Status         | Status          |
| Submitter                |                 |
| Submitter Email          |                 |
| Submitter Name           |                 |

</details>

<details>

<summary>Arena Files</summary>

| Arena Label    | Violet Property |
| -------------- | --------------- |
| Edition        |                 |
| File Name      | Name            |
| Format         |                 |
| Storage Method |                 |

</details>

<details>

<summary>Arena Items</summary>

| Arena Label                   | Violet Property   |
| ----------------------------- | ----------------- |
| Category                      | Category          |
| Creator                       |                   |
| Creator Email                 |                   |
| Creator Name                  |                   |
| Effective DateTime            |                   |
| Lifecycle Phase               | Status            |
| Material Effectivity DateTime |                   |
| Number                        | Part Number       |
| Off The Shelf                 |                   |
| Owner                         |                   |
| Procurement Type              | Procurement Type  |
| Production Cost               |                   |
| Prototype Cost                |                   |
| Revision                      | Revision          |
| Sourcing Strategy             | Sourcing Strategy |
| Unit of Measure               |                   |

</details>

<details>

<summary>Arena Item Revisions</summary>

| Arena Label                   | Violet Property   |
| ----------------------------- | ----------------- |
| Category                      | Category          |
| Change Number                 |                   |
| Creator                       |                   |
| Creator Email                 |                   |
| Creator Name                  |                   |
| Effective DateTime            |                   |
| Item Name                     |                   |
| Lifecycle Phase               |                   |
| Material Effectivity DateTime |                   |
| Notes                         |                   |
| Number                        | Part Number       |
| Off The Shelf                 |                   |
| Owner                         |                   |
| Procurement Type              | Procurement Type  |
| Production Cost               |                   |
| Prototype Cost                |                   |
| Revision                      | Revision          |
| Revision Status               | Status            |
| Sourcing Strategy             | Sourcing Strategy |
| Revision Status               |                   |
| Superseded Date               |                   |
| Unit of Measure               |                   |

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violetlabs.com/apps/a/arena/arena-property-mapping.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
